import { QueryMarkdownBlockRenderer } from './renderer.js';
import type { MdBlockExecutionResult } from './types.js';
export declare class TextMarkdownBlockRenderer extends QueryMarkdownBlockRenderer {
    canRender(result: MdBlockExecutionResult): boolean;
    render(result: MdBlockExecutionResult): HTMLElement;
}
